Revert "contrib/jenkins.sh: pylint v2.15 is unstable, pin v2.14.5"

This reverts commit 12175d3588.

The upstream has fixed the regression:

https://github.com/PyCQA/pylint/issues/7375

which was actually not in pylint itself but in its dependency:

https://github.com/PyCQA/astroid/pull/1763
https://github.com/PyCQA/astroid/releases/tag/v2.12.6

Change-Id: I1bf36e0c6db14a10ff4eab57bae238401dbd7fd0
Closes: OS#5668
changes/76/29276/2
Vadim Yanitskiy 3 months ago committed by fixeria
parent 75a58d1a87
commit 4e64e72766
  1. 2
      contrib/jenkins.sh

@ -26,7 +26,7 @@ python -m unittest discover -v -s tests/
# Ignore E0401: import-error
# pySim/utils.py:276: E0401: Unable to import 'Crypto.Cipher' (import-error)
# pySim/utils.py:277: E0401: Unable to import 'Crypto.Util.strxor' (import-error)
pip install pylint==2.14.5 # FIXME: 2.15 is crashing, see OS#5668
pip install pylint
python -m pylint -j0 --errors-only \
--disable E1102 \
--disable E0401 \

Loading…
Cancel
Save